Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CIAO::ComponentServer_Impl Class Reference

Servant implementation for Components::Deployment::ComponentServer. More...

`#include <ComponentServer_Impl.h>`

Collaboration diagram for CIAO::ComponentServer_Impl:

[legend]
List of all members.

## Public Member Functions
| ComponentServer_Impl (CORBA::ORB_ptr o, PortableServer::POA_ptr p, int static_config_flag=0, const Static_Config_EntryPoints_Maps *static_entrypts_maps=0)
| Constructor.
virtual | ~ComponentServer_Impl (void)
| Destructor.
virtual PortableServer::POA_ptr | _default_POA (void)
Components::Deployment::ComponentInstallation_ptr | get_component_installation (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
## Public Attributes
int init(::Components::ConfigValues &options ACE_ENV_ARG_DECL_WITH_DEFAULTS) ACE_THROW_SPEC((CORBA virtual ::Components::ConfigValues *configuration(ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) ACE_THROW_SPEC((CORBA virtual ::Components::Deployment::ServerActivator_ptr get_server_activator(ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) ACE_THROW_SPEC((CORBA virtual ::Components::Deployment::Container_ptr virtual create_container(const Components::ConfigValues &config ACE_ENV_ARG_DECL_WITH_DEFAULTS) ACE_THROW_SPEC((CORBA void remove_container(Components::Deployment::Container_ptr cref ACE_ENV_ARG_DECL_WITH_DEFAULTS) ACE_THROW_SPEC((CORBA virtual ::Components::Deployment::Containers *virtual get_containers(ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) ACE_THROW_SPEC((CORBA void remove(ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) ACE_THROW_SPEC((CORBA void set_objref(Components::Deployment::ServerActivator_ptr act, const Components::ConfigValues &config, Components::Deployment::ComponentServer_ptr cs=0 ACE_ENV_ARG_DECL_WITH_DEFAULTS) ACE_THROW_SPEC((CORBA Components::Deployment::ComponentServer_pt | get_objref )(ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
| Set the cached object reference.
## Protected Attributes
CORBA::ORB_var | orb_
| Keep a pointer to the managing ORB serving this servant.
PortableServer::POA_var | poa_
| Keep a pointer to the managing POA.
Components::ConfigValues_var | config_
| Cached ConfigValues.
Components::Deployment::ServerActivator_var | activator_
| And a reference to the ServerActivator that created us.
Components::Deployment::ComponentServer_var | objref_
| Cache the object reference to ourselves.
Components::Deployment::ComponentInstallation_var | installation_
| And a reference to the ServerActivator that created us.
TAO_SYNCH_MUTEX | lock_
| Synchronize access to the object set.
Object_Set< Components::Deployment::Container, ::Components::Deployment::Container_var > | container_set_
| Keep a list of managed Container objects.
int | static_config_flag_
| Flag to indicate static configuration.
const Static_Config_EntryPoints_Maps * | static_entrypts_maps_
| Reference to CIAO static config entry points map.

## Detailed Description

Servant implementation for Components::Deployment::ComponentServer.

This class implements the Components::Deployment::ComponentServer interface as defined by the CCM spcification. As the interface implies, this is actually part of the deployment interface and is used to manage the lifecycle of containers running on the server.

## Constructor & Destructor Documentation

ACE_INLINE CIAO::ComponentServer_Impl::ComponentServer_Impl | ( | CORBA::ORB_ptr | o,
|  | PortableServer::POA_ptr | p,
|  | int | static_config_flag = `0`,
|  | const Static_Config_EntryPoints_Maps * | static_entrypts_maps = `0`
| ) |

| Constructor.

CIAO::ComponentServer_Impl::~ComponentServer_Impl | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

PortableServer::POA_ptr CIAO::ComponentServer_Impl::_default_POA | ( | void |  | ) | `[virtual]`

| Get the containing POA. This operation does *not* increase the reference count of the POA.

ACE_INLINE Components::Deployment::ComponentInstallation_ptr CIAO::ComponentServer_Impl::get_component_installation | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) |

| Get the cached ComponentInstallation object reference. This operation does *NOT* increase the reference count.

## Member Data Documentation

Components::Deployment::ServerActivator_var CIAO::ComponentServer_Impl::activator_`[protected]`

| And a reference to the ServerActivator that created us.

Components::ConfigValues_var CIAO::ComponentServer_Impl::config_`[protected]`

| Cached ConfigValues.

Object_Set<Components::Deployment::Container, ::Components::Deployment::Container_var> CIAO::ComponentServer_Impl::container_set_`[protected]`

| Keep a list of managed Container objects.

ACE_INLINE Components::Deployment::ComponentServer_ptr CIAO::ComponentServer_Impl::get_objref

| Set the cached object reference. Return the cached object reference of this ComponentServer object. This operation does *NOT* increase the reference count.

Components::Deployment::ComponentInstallation_var CIAO::ComponentServer_Impl::installation_`[protected]`

| And a reference to the ServerActivator that created us.

TAO_SYNCH_MUTEX CIAO::ComponentServer_Impl::lock_`[protected]`

| Synchronize access to the object set.

Components::Deployment::ComponentServer_var CIAO::ComponentServer_Impl::objref_`[protected]`

| Cache the object reference to ourselves.

CORBA::ORB_var CIAO::ComponentServer_Impl::orb_`[protected]`

| Keep a pointer to the managing ORB serving this servant.

PortableServer::POA_var CIAO::ComponentServer_Impl::poa_`[protected]`

| Keep a pointer to the managing POA.

int CIAO::ComponentServer_Impl::static_config_flag_`[protected]`

| Flag to indicate static configuration.

const Static_Config_EntryPoints_Maps* CIAO::ComponentServer_Impl::static_entrypts_maps_`[protected]`

| Reference to CIAO static config entry points map.

The documentation for this class was generated from the following files:

- ComponentServer_Impl.h
- ComponentServer_Impl.cpp
- ComponentServer_Impl.inl